[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tvector4_extended): Tvector2_single

Allow assignment of four-dimensional extended precision vector to two-dimensional single precision vector

## Declaration

Source position: matrix.pp line 331

`operator operator :=(Tvector4_extended): Tvector2_single(`
`const v: Tvector4_extended`
`):Tvector2_single;`

## Description

This operator allows you to use a four-dimensional vector with extended precision values wherever a two-dimensional vector with single precision is expected. The third and fourth dimensions are thrown away and some accuracy is los because of the conversion.

Documentation generated on: Feb 26 2014